A wrapper for the implementations of PHPUnit2ResultFormatter.

author | Michiel Rook
version | $Id: 296214ebac3a12e51bffed3dcc2c0bb93fb0754e $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Returns extension

    getExtension() : string

### Returns

`string`

## Returns formatter object

    getFormatter() : \PHPUnitResultFormatter

### Returns

`\PHPUnitResultFormatter`

## Returns output filename

    getOutfile() : string

### Returns

`string`

## Returns output directory

    getToDir() : string

### Returns

`string`

## Returns whether to store formatting results in a file

    getUseFile()

## Loads a specific formatter class

    setClassName($className)

### Parameters

#### $className

## Sets output filename

    setOutfile(string $outfile)

### Parameters

#### $outfile

`string`

## Sets parent task

    setParent(\Task $parent)

### Parameters

#### $parent

`\Task`

Calling Task

## Sets output directory

    setToDir(string $toDir)

### Parameters

#### $toDir

`string`

## Loads a specific formatter type

    setType(string $type)

### Parameters

#### $type

`string`

## Sets whether to store formatting results in a file

    setUseFile($useFile)

### Parameters

#### $useFile

### Properties

##

    $formatter

##

    $outfile

##

    $parent

##

    $toDir

##

    $type

##

    $useFile